import request from "@/utils/request";

export function findList(data) {
  return request({
    url: '/system/enterprise/findList',
    method: 'post',
    data: data
  })
}
export function findEnterprise() {
  return request({
    url: '/system/enterprise/findEnterprise',
    method: 'post',
  })
}


export function addEnterprise(data) {
  return request({
    url: '/system/enterprise/addEnterprise',
    method: 'post',
    data: data
  })
}

// 修改用户
export function updateEnterprise(data) {
  return request({
    url: '/system/enterprise/updEnterprise',
    method: 'post',
    data: data
  })
}
// 删除用户
export function delEnterprise(id) {
  return request({
    url: '/system/enterprise/' + id,
    method: 'delete'
  })
}
export function getId(id) {
  return request({
    url: '/system/enterprise/' + id,
    method: 'get'
  })
}


export function updEnterpriseBydbId(data) {
  return request({
    url: '/system/enterprise/updEnterpriseBydbId',
    method: 'post',
    data
  })
}
